Test2::Tools::Target(3pm)

NAME
Test2::Tools::Target - Alias the testing target package.

DESCRIPTION
This lets you alias the package you are testing into a constant and a package variable.

SYNOPSIS
    use Test2::Tools::Target 'Some::Package';

    CLASS()->xxx; # Call 'xxx' on Some::Package
    $CLASS->xxx;  # Same

Or you can specify names:

    use Test2::Tools::Target pkg => 'Some::Package';

    pkg()->xxx; # Call 'xxx' on Some::Package
    $pkg->xxx;  # Same

SOURCE
The source code repository for Test2-Suite can be found at https://github.com/Test-More/Test2-Suite/.

MAINTAINERS

Chad Granum <exodist@cpan.org>

AUTHORS
Chad Granum <exodist@cpan.org>

COPYRIGHT
Copyright 2018 Chad Granum <exodist@cpan.org>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See http://dev.perl.org/licenses/